package com.itant.shiwushu.ui.menu.post.publish;


import com.itant.shiwushu.base.IBasePresenter;
import com.itant.shiwushu.base.IBaseView;
import com.itant.shiwushu.bean.LostFound;

import java.io.File;

public interface PublishPostContract {
    interface View extends IBaseView {
        void onPublishSuccess(LostFound lostFound);
        void onPublishFailed(String message);
    }

    interface Presenter extends IBasePresenter {
        void publishPost(int cityId, String cityName, String phoneNumber, int money, int postType, int lostType, String content, File photoFile);
    }
}